package com.parivedasolutions.zaastra.gwt.client.backbutton;

import net.customware.gwt.presenter.client.EventBus;
import net.customware.gwt.presenter.client.place.PlaceRequest;
import net.customware.gwt.presenter.client.place.PresenterPlace;

import com.google.inject.Inject;
import com.parivedasolutions.zaastra.gwt.client.event.ShowI18nExampleEvent;
import com.parivedasolutions.zaastra.gwt.client.i18n.I18nExamplePresenter;

public class I18nExamplePlace extends PresenterPlace<I18nExamplePresenter> {

	private I18nExamplePresenter presenter;
	private EventBus eventBus;

	@Inject
	public I18nExamplePlace(I18nExamplePresenter presenter, EventBus eventBus) {
		this.presenter = presenter;
		this.eventBus = eventBus;
	}

	@Override
	public String getName() {
		return "I18nExample";
	}

	@Override
	public I18nExamplePresenter getPresenter() {
		return presenter;
	}

	@Override
	protected void preparePresenter(PlaceRequest request, I18nExamplePresenter presenter) {
		eventBus.fireEvent(new ShowI18nExampleEvent());
	}

	@Override
	protected PlaceRequest prepareRequest(PlaceRequest request, I18nExamplePresenter presenter) {
		return request;
	}

}
