package com.parivedasolutions.zaastra.gwt.client.backbutton;

import net.customware.gwt.presenter.client.EventBus;
import net.customware.gwt.presenter.client.place.PlaceRequest;
import net.customware.gwt.presenter.client.place.PresenterPlace;

import com.google.inject.Inject;
import com.parivedasolutions.zaastra.gwt.client.event.ShowRpcExampleEvent;
import com.parivedasolutions.zaastra.gwt.client.rpc.RpcExamplePresenter;

public class RpcExamplePlace extends PresenterPlace<RpcExamplePresenter> {

	private RpcExamplePresenter presenter;
	private EventBus eventBus;

	@Inject
	public RpcExamplePlace(RpcExamplePresenter presenter, EventBus eventBus) {
		this.presenter = presenter;
		this.eventBus = eventBus;
	}

	@Override
	public String getName() {
		return "RpcExample";
	}

	@Override
	public RpcExamplePresenter getPresenter() {
		return presenter;
	}

	@Override
	protected void preparePresenter(PlaceRequest request, RpcExamplePresenter presenter) {
		eventBus.fireEvent(new ShowRpcExampleEvent());
	}

	@Override
	protected PlaceRequest prepareRequest(PlaceRequest request, RpcExamplePresenter presenter) {
		return request;
	}

}
