package com.parivedasolutions.zaastra.gwt.client.backbutton;

import net.customware.gwt.presenter.client.EventBus;
import net.customware.gwt.presenter.client.place.PlaceRequest;
import net.customware.gwt.presenter.client.place.PresenterPlace;

import com.google.inject.Inject;
import com.parivedasolutions.zaastra.gwt.client.event.ShowWidgetExampleEvent;
import com.parivedasolutions.zaastra.gwt.client.widget.WidgetExamplePresenter;

public class WidgetExamplePlace extends PresenterPlace<WidgetExamplePresenter> {

	private WidgetExamplePresenter presenter;
	private EventBus eventBus;

	@Inject
	public WidgetExamplePlace(WidgetExamplePresenter presenter, EventBus eventBus) {
		this.presenter = presenter;
		this.eventBus = eventBus;
	}

	@Override
	public String getName() {
		return "WidgetExample";
	}

	@Override
	public WidgetExamplePresenter getPresenter() {
		return presenter;
	}

	@Override
	protected void preparePresenter(PlaceRequest request, WidgetExamplePresenter presenter) {
		eventBus.fireEvent(new ShowWidgetExampleEvent());
	}

	@Override
	protected PlaceRequest prepareRequest(PlaceRequest request, WidgetExamplePresenter presenter) {
		return request;
	}

}
