package com.parivedasolutions.zaastra.gwt.server;

import static org.junit.Assert.assertEquals;

import java.util.Date;

import org.junit.Test;

public class ServerDateUtilityTest {

	ServerDateUtility dateUtility = new ServerDateUtility();

	@Test
	public void dateToString() {
		String expected = "22 Jun 2011 22:15:33";
		Date date = new Date(1308798933000L);
		String result = dateUtility.dateToString(date);
		assertEquals(expected, result);
	}

	@Test
	public void stringToDate() {
		String date = "22 Jun 2011 22:15:33";
		Date expected = new Date(1308798933000L);
		Date result = dateUtility.stringToDate(date);
		assertEquals(expected, result);
	}
}
