package com.parivedasolutions.zaastra.gwt.client.gin;

import com.google.gwt.inject.client.GinModules;
import com.google.gwt.inject.client.Ginjector;
import com.parivedasolutions.zaastra.gwt.client.AppPresenter;
import com.parivedasolutions.zaastra.gwt.shared.DateUtility;

/**
 * This interface provides the starting point for GIN inversion of Control.
 * 
 */
@GinModules( { ZaastraClientModule.class })
public interface ZaastraGinjector extends Ginjector {

	public AppPresenter getMainMenuPresenter();

	public DateUtility getDateUtility();
}
