package com.parivedasolutions.zaastra.gwt.client.i18n;

import com.google.gwt.i18n.client.LocalizableResource.DefaultLocale;

@DefaultLocale("en")
public interface AlternateMessages extends com.google.gwt.i18n.client.Messages {
	@DefaultMessage("You have {0} coolness points.")
	@AlternateMessage( {
			"one", "You have one coolness point.",
			"=0", "You have no coolness points" })
	String treeCount(@PluralCount int count);

	@DefaultMessage("You have {0} messages and {1} notifications.")
	@AlternateMessage( {
			"=0|=0", "You have no messages or notifications.",
			"=0|one", "You have a notification.",
			"one|=0", "You have a message.",
			"one|one", "You have one message and one notification.",
			"other|one", "You have {0} messages and one notification.",
			"one|other", "You have one message and {1} notifications." })
	String messages(@PluralCount int msgCount, @PluralCount int notifyCount);

	@DefaultMessage("{0} gave away their {2} widgets")
	@AlternateMessage( {
			"MALE|other", "{0} gave away his {2} widgets",
			"FEMALE|other", "{0} gave away her {2} widgets",
			"MALE|one", "{0} gave away his widget",
			"FEMALE|one", "{0} gave away her widget",
			"other|one", "{0} gave away their widget" })
	String giveAway(String name, @Select Gender gender,
			@PluralCount int count);
}
