package com.parivedasolutions.zaastra.gwt.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.RootPanel;
import com.parivedasolutions.zaastra.gwt.client.gin.ZaastraGinjector;
import com.parivedasolutions.zaastra.gwt.shared.ServiceLocator;

/**
 * This class is the starting point for our GWT application.
 */
public class index implements EntryPoint {
	private final ZaastraGinjector injector = GWT.create(ZaastraGinjector.class);

	/**
	 * Use the ginjector to create our main presenter and display it ot the
	 * user.
	 */
	public void onModuleLoad() {
		final AppPresenter mainMenuPresenter = injector.getMainMenuPresenter();
		ServiceLocator.setDateUtility(injector.getDateUtility());
		mainMenuPresenter.bind();
		RootPanel.get("main-content").add(mainMenuPresenter.getDisplay().asWidget());
	}
}
