package com.parivedasolutions.zaastra.gwt.client.widget;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.SuggestBox;
import com.google.gwt.user.client.ui.SuggestOracle;

public class DropDownSuggestBox extends Composite {
	private FlowPanel container;
	private Button button;
	private SuggestBox suggestBox;

	public DropDownSuggestBox(SuggestOracle oracle) {
		this.suggestBox = new SuggestBox(oracle);
		container = new FlowPanel();
		container.setStyleName("gwt-DropDownSuggestBox");
		button = new Button("&#x25BC;"); // Down triangle UTF charater.
		button.setStyleName("dropdown-button");
		container.add(suggestBox);
		container.add(button);
		initWidget(container);
		bindClickHandler();
	}

	private void bindClickHandler() {
		button.addClickHandler(new ClickHandler() {
			public void onClick(ClickEvent event) {
				suggestBox.getTextBox().setValue("");
				suggestBox.showSuggestionList();
			}
		});
	}
}
