package com.parivedasolutions.zaastra.gwt.client.widget;

import net.customware.gwt.presenter.client.widget.WidgetDisplay;

import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.MultiWordSuggestOracle;
import com.parivedasolutions.zaastra.gwt.client.widget.celltable.ZaastraCellTable;
import com.parivedasolutions.zaastra.gwt.shared.Fixtures;

public class WidgetExampleView extends Composite implements WidgetExamplePresenter.Display {
	FlowPanel panel;

	public WidgetExampleView() {
		panel = new FlowPanel();
		Label title = new Label("Custom Composite Widget");
		title.addStyleName("title");
		panel.add(title);
		MultiWordSuggestOracle oracle = new MultiWordSuggestOracle();
		oracle.addAll(Fixtures.dropDownSuggestions);
		oracle.setDefaultSuggestionsFromText(Fixtures.dropDownSuggestions.subList(0, 10));
		DropDownSuggestBox suggestBox = new DropDownSuggestBox(oracle);
		panel.add(suggestBox);
		panel.add(new ClearDiv());
		Label title2 = new Label("GWT CellTable");
		title2.addStyleName("title");
		panel.add(title2);
		panel.add(new ClearDiv());
		ZaastraCellTable cellTable = new ZaastraCellTable();
		panel.add(cellTable);
		panel.add(new ClearDiv());
		initWidget(panel);
	}

	/**
	 * Returns this widget as the {@link WidgetDisplay#asWidget()} value.
	 */
	@Override
	public WidgetExampleView asWidget() {
		return this;
	}

}
