package com.parivedasolutions.zaastra.gwt.server;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;
import com.parivedasolutions.zaastra.gwt.client.rpc.GreetingService;
import com.parivedasolutions.zaastra.gwt.server.command.GreetingCommand;
import com.parivedasolutions.zaastra.gwt.shared.RpcValueObject;
import com.parivedasolutions.zaastra.gwt.shared.ServiceLocator;

/**
 * The server side implementation of the RPC service.
 */
@SuppressWarnings("serial")
public class GreetingServiceImpl extends RemoteServiceServlet implements GreetingService {

	private GreetingCommand command = new GreetingCommand();

	public String sendToServer(RpcValueObject valueObject) throws IllegalArgumentException {
		ServiceLocator.setDateUtility(new ServerDateUtility());
		String serverInfo = getServletContext().getServerInfo();
		String userAgent = getThreadLocalRequest().getHeader("User-Agent");

		return command.getGreeting(serverInfo, userAgent, valueObject);
	}
}
