package com.parivedasolutions.zaastra.gwt.client;

import java.util.Date;

import com.google.gwt.junit.client.GWTTestCase;

/**
 * GWT JUnit <b>integration</b> tests must extend GWTTestCase. Using
 * <code>"*GwtTest"</code> naming pattern exclude them from running with
 * surefire during the test phase.
 */
public class GuiDateUtilityGwtTest extends GWTTestCase {

	/**
	 * Must refer to a valid module that sources this class.
	 */
	@Override
	public String getModuleName() {
		return "com.parivedasolutions.zaastra.gwt.indexJUnit";
	}

	GuiDateUtility dateUtility;

	@Override
	protected void gwtSetUp() throws Exception {
		dateUtility = new GuiDateUtility();
		super.gwtSetUp();
	}

	public void testDateToString() {
		String expected = "22 Jun 2011 22:15:33";
		Date date = new Date(1308798933000L);
		String result = dateUtility.dateToString(date);
		assertEquals(expected, result);
	}

	public void testStringToDate() {
		String date = "22 Jun 2011 22:15:33";
		Date expected = new Date(1308798933000L);
		Date result = dateUtility.stringToDate(date);
		assertEquals(expected, result);
	}

}
